2017-11-20 23:38 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001836openmediavaultBugpublic2017-10-25 09:30
Reporterkschoenf 
Assigned Tovotdev 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionErasmus (3.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001836: SSL Key Handling: unexpected deletion of private key after modification of comment in WebGUI
DescriptionThe private key will be delete in the config file if the comment was changed in the WebGUI. If you apply the changes the following configuration step will be fail with a strange error :-(
Steps To ReproduceOpen System -> Certificates -> SSL
Select an installed certificate and open the edit dialog via edit.
Change the comment and save but don't apply the changes!

Login via SSH to the console and go to /etc/openmediavault

root@blnfilbld01:/etc/openmediavault# diff config.xml.0001 config.xml
253,281c253,254
< <privatekey>-----BEGIN PRIVATE KEY-----
< MIIEvgIBAD... my private host key ...JKHKHKJHKHKJUZUZTUlidwkhkdh
< TFdsdcakdckRbhLVLR3bQYXnOsdvlaI+21Ck//Z7RB/MlMKJr8sPFA02PNCVQIbE
< GmtGHy/33r7u+m0Y7WtSnkie
< -----END PRIVATE KEY-----</privatekey>
< <comment>a certificate for blnfilbld01</comment>
---
> <privatekey></privatekey>
> <comment>my certificate for blnfilbld01</comment>
Additional InformationHint: The edit dialog shows only the certificate (read-only) and the comment line. Maybe that's the reason why the private key goes lost?
Tagserasmus
Product build3.0.89
Attached Files

-Relationships
+Relationships

-Notes

~0004986

kschoenf (reporter)

Please have a look at /usr/share/openmediavault/engined/rpc/certificatemgmt.inc

In the get function the private key will be removed. Clear! ;-) but in the set function to add or update a certificate, the check if the private key is not empty has no else branch. Correct?

~0004988

votdev (administrator)

Fixed in openmediavault 3.0.90, see https://github.com/openmediavault/openmediavault/commit/9919492a1124189dcd0a2afe2c36129dcb7b25b3.
+Notes

-Issue History
Date Modified Username Field Change
2017-10-24 19:41 kschoenf New Issue
2017-10-24 19:41 kschoenf Status new => assigned
2017-10-24 19:41 kschoenf Assigned To => votdev
2017-10-24 19:41 kschoenf Tag Attached: erasmus
2017-10-24 20:08 kschoenf Note Added: 0004986
2017-10-25 09:30 votdev Status assigned => resolved
2017-10-25 09:30 votdev Resolution open => fixed
2017-10-25 09:30 votdev Fixed in Version => Erasmus (3.x)
2017-10-25 09:30 votdev Note Added: 0004988
+Issue History